<?php

namespace Drupal\gotem;

use GuzzleHttp\ClientInterface;
use Drupal\Core\Config\ConfigFactoryInterface;

class OpenAIModerationClient {

  protected $httpClient;
  protected $apiKey;

  public function __construct(ClientInterface $http_client, ConfigFactoryInterface $config_factory) {
    $this->httpClient = $http_client;
    $config = $config_factory->get('gotem.settings');
    $this->apiKey = \Drupal::state()->get('gotem_content_moderation.api_key');
  }

  public function moderateText($text) {
    try {
      $authorization = 'Bearer ' . $this->apiKey;

      $response = $this->httpClient->post('https://api.openai.com/v1/moderations', [
        'headers' => [
          'Content-Type' => 'application/json',
          'Authorization' => $authorization,
        ],
        'json' => [
          'input' => $text,
        ],
      ]);


      $data = json_decode($response->getBody(), TRUE);
      dsm($data);
      return $data['results'][0];
    }
    catch (\Exception $e) {
      \Drupal::logger('gotem')->error($e->getMessage());
      return NULL;
    }
  }

}
